/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___INIT_H___
#define ___INIT_H___

#define INI_THREAD		0x0000000f
#define INI_WDONTCARE		0x00000000
#define INI_WAITCHI		0x00000001
#define INI_DONTWAITCHI		0x00000002

void	init_task(int); 
void	init_msequence();
void	init_longchar();
void	init_stream();
void	init_utils();
void	init_netutils();
void	init_resolve();
void	init_tick();
void	init_d_alloc();
void	init_blacklist();
void	init_sg();
void	end_sg();


int	_main(int,char**);


#endif

